package com.zcloud.domain.domain.gateway;

import com.zcloud.domain.domain.model.ProjectTaskScoreInfoE;

/**
 * web-domain
 *
 * @Author zhaokai
 * @Date 2026-01-27 11:30:45
 */
public interface ProjectTaskScoreInfoGateway {

    /**
     * 新增
     */
    Boolean add(ProjectTaskScoreInfoE projectTaskScoreInfoE);

    /**
     * 修改
     */
    Boolean update(ProjectTaskScoreInfoE projectTaskScoreInfoE);

    /**
     * 删除
     */
    Boolean deletedProjectTaskScoreInfoById(Long id);

    Boolean deletedProjectTaskScoreInfoByIds(Long[] id);
}

